package com.template.services;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.pojo.ActivityImage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.ActivityImageApplyVo;
import com.template.model.vo.ActivityMyImageApplyVo;
import com.template.model.vo.AlumniMyActivityPageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-27
 */
public interface ActivityImageService extends IService<ActivityImage> {
    int insertActivityImage(ActivityImage au);

    int updateActivityImage(ActivityImage au);

    ActivityImage queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<ActivityImage> queryActivityImagePages(int currentPage, int pageCount, Integer userId,int isPass);

    PageUtils<ActivityImageApplyVo> activityImagePageDatas(int currentPage, int pageCount, Integer userId);

    PageUtils<ActivityMyImageApplyVo> activityMyImagePageDatas(int currentPage, int pageCount, Integer userId, String name);

    List<ActivityImage> queryActivityImages(Integer activityId);

    PageUtils<ActivityMyImageApplyVo> activityApproveImagePageDatas(int currentPage, int pageCount, Integer userId, String name);
}
